//壹管家websocket等js注入代码
(function () {

var objectIndex = 0;//用于websocket对象计数
// window object
var global = window;
// WebSocket Object. All listener methods are cleaned up!
var WebSocket = global.WebSocket = function (url) {
// get a new websocket object from factory (check com.strumsoft.websocket.WebSocketFactory.java)
this.targetIndex = NewWebSocket(url);
// store in registry
if (this.targetIndex > 0) {
WebSocket.store[this.targetIndex] = this;
} else {
throw new Error('Websocket instantiation failed! Address might be wrong.');
}
};

// storage to hold websocket object for later invokation of event methods
WebSocket.store = {};

// static event methods to call event methods on target websocket objects
WebSocket.onmessage = function (evt) {
WebSocket.store[evt._target]['onmessage'].call(global, evt);
}

WebSocket.onopen = function (evt) {
WebSocket.store[evt._target]['onopen'].call(global, evt);
}

WebSocket.onclose = function (evt) {
WebSocket.store[evt._target]['onclose'].call(global, evt);
}

WebSocket.onerror = function (evt) {
WebSocket.store[evt._target]['onerror'].call(global, evt);
}

// instance event methods
WebSocket.prototype.send = function (data) {
SendWebSocket(data, this.targetIndex);
}

WebSocket.prototype.close = function () {
CloseWebSocket(this.targetIndex);
}

WebSocket.prototype.getReadyState = function () {
return GetWebSocketReadyState(this.targetIndex);
}
///////////// Must be overloaded
WebSocket.prototype.onopen = function () {
throw new Error('onopen not implemented.');
};

// alerts message pushed from server
WebSocket.prototype.onmessage = function (msg) {
throw new Error('onmessage not implemented.');
};

// alerts message pushed from server
WebSocket.prototype.onerror = function (msg) {
throw new Error('onerror not implemented.');
};

// alert close event
WebSocket.prototype.onclose = function () {
throw new Error('onclose not implemented.');
};

//--------------------------------------------------------
function NewWebSocket(url) {
var args = [];
args[0] = url;
return prompt('yiqianbao_websocket', JSON.stringify(args));
};

function SendWebSocket(msg, targetIndex) {
var args = [];
args[0] = msg;
args[1] = targetIndex;
return prompt('yiqianbao_send', JSON.stringify(args));
}

function CloseWebSocket(targetIndex) {
var args = [];
args[0] = targetIndex;
return prompt('yiqianbao_close', JSON.stringify(args));
}

function GetWebSocketReadyState(targetIndex) {
var args = [];
args[0] = targetIndex;
return prompt('yiqianbao_readystate', JSON.stringify(args));
}

var YiQianBao = function () {};
YiQianBao.prototype.getUserName = function () {var args = [];return prompt('yiqianbao_username', JSON.stringify(args));};
YiQianBao.prototype.getCustomerId = function () {var args = [];return prompt('yiqianbao_customerid', JSON.stringify(args));};
YiQianBao.prototype.refreshToken = function () {var args = [];return prompt('yiqianbao_refreshToken', JSON.stringify(args));};
YiQianBao.prototype.getHeadUrl = function () {var args = [];return prompt('yiqianbao_headUrl', JSON.stringify(args));};
YiQianBao.prototype.setTitle = function (title) {var args = [];args[0] = title; return prompt('yiqianbao_setTitle', JSON.stringify(args));};
window.YiQianBao = new YiQianBao();


console.log("inject success");
})
();